com.jscape.inet.ssh

## Class SshException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.ssh.SshException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    SshTaskTimeoutException

      public class SshException
      extends java.lang.Exception

  SshException is thrown by many methods of Ssh class. The methods are masking various exception types into SshException, but the event message will be propagated.

  In case that the cause for throwing SshException is not exception but invalid client operation or server response, SshException message will contain textual part of server response.

  Author:
    vglass
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SshException()`
    `SshException(java.lang.String message)` Creates exception with specified message string.
    `SshException(java.lang.String message, java.lang.Throwable cause)` Creates exception with specified message string and source exception
    `SshException(java.lang.Throwable cause)` Creates exception with specified message string and source exception

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SshException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SshException

          public SshException()

    - #### SshException

          public SshException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### SshException

          public SshException(java.lang.String message,
                              java.lang.Throwable cause)

      Creates exception with specified message string and source exception
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### SshException

          public SshException(java.lang.Throwable cause)

      Creates exception with specified message string and source exception
      Parameters:
        `cause` - the exception which caused this exception

  - ### Method Detail

    - #### wrap

          public static SshException wrap(java.lang.Throwable e)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved